Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Class DebuggerInfo

    java.lang.Object
      org.netbeans.api.debugger.DebuggerInfo

    public final class DebuggerInfo

extends Object

Contains information needed to start new debugging. Process of starting of debugger can create one or more `Session` and one or more `DebuggerEngine` and register them to `DebuggerManager`. For more information about debugger start process see: `DebuggerManager.startDebugging(org.netbeans.api.debugger.DebuggerInfo)`.

Method Summary
`static DebuggerInfo` | `create(String typeID, Object[] services)` Creates a new instance of DebuggerInfo.
`List` | `lookup(String folder, Class service)` Returns list of services of given type from given folder.
`Object` | `lookupFirst(String folder, Class service)` Returns one service of given type from given folder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static DebuggerInfo create(String typeID,
                                      Object[] services)

  Creates a new instance of DebuggerInfo.

  Parameters:
    `typeID` - identification of DebuggerInfo type. Is used for registration of external services.
    `services` - you can register additional services for this DebuggerInfo here
  Returns:
    returns a new instance of DebuggerInfo

### lookup

    public List lookup(String folder,
                       Class service)

  Returns list of services of given type from given folder.

  Parameters:
    `service` - a type of service to look for
  Returns:
    list of services of given type

### lookupFirst

    public Object lookupFirst(String folder,
                              Class service)

  Returns one service of given type from given folder.

  Parameters:
    `service` - a type of service to look for
  Returns:
    ne service of given type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.